# Events & Exports

## Server Events <a href="#server-events" id="server-events"></a>

**rm\_chopshop:server:createJob**

```lua
---@class StartOptions
---@field ignorePoliceCount? boolean   -- should the number of police officers be ignored?
---@field ignorePlayerCooldown? boolean  -- should the player cooldown be ignored?
---@field ignoreGlobalCooldown? boolean  -- should the global cooldown be ignored?

---@param targetPlayerServerId? number
---@param options? StartOptions
RegisterNetEvent('rm_chopshop:server:createJob', function(targetPlayerServerId, options) end)
```

| Key                   | Type    | Description                                      |
| --------------------- | ------- | ------------------------------------------------ |
| ignorePoliceCount?    | boolean | Should the number of police officers be ignored? |
| ignorePlayerCooldown? | boolean | Should the player cooldown be ignored?           |
| ignoreGlobalCooldown? | boolean | Should the global cooldown be ignored?           |

**rm\_chopshop:server:cancelJob**

```lua
---@param targetPlayerServerId? number
RegisterNetEvent('rm_chopshop:server:cancelJob', function(targetPlayerServerId) end)
```

<pre><code>## Notes:
<strong>- If triggered from the client, _source is not required; if triggered from the server, it must be provided. 
</strong>- To disable the event, set cfg.disableServerEvent = true.
</code></pre>

## Exports <a href="#exports" id="exports"></a>

### Server Exports <a href="#server-exports" id="server-exports"></a>

**setLockdown**

```lua
exports.rm_chopshop:setLockdown(state--[[boolean]])
```

**getLockdown**

```lua
exports.rm_chopshop:getLockdown()
--Example:
exports.rm_chopshop:setLockdown(true)
local disabled = exports.rm_chopshop:getLockdown()
print(disabled)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainmad.com/resources/chopshop-with-welding-minigame/events-and-exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
